Last Comment Bug 581151 - make chrome no longer works
: make chrome no longer works
Status: RESOLVED FIXED
: fixed-seamonkey2.0.9, regression
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks: 466492
  Show dependency treegraph
 
Reported: 2010-07-22 13:05 PDT by neil@parkwaycc.co.uk
Modified: 2010-09-09 00:43 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.9-fixed
.12-fixed


Attachments
Possible patch (657 bytes, patch)
2010-07-22 13:10 PDT, neil@parkwaycc.co.uk
khuey: review+
bugspam.Callek: review+
christian: approval1.9.2.9+
christian: approval1.9.1.12+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2010-07-22 13:05:27 PDT
make chrome recursively invokes make realchrome. However the realchrome target is now conditional on the existence of a jar.mn file.
Comment 1 neil@parkwaycc.co.uk 2010-07-22 13:10:49 PDT
Created attachment 459551 [details] [diff] [review]
Possible patch

I also considered moving the NO_DIST_INSTALL ifdef since it's an easier test.
Comment 2 neil@parkwaycc.co.uk 2010-07-22 13:13:05 PDT
Comment on attachment 459551 [details] [diff] [review]
Possible patch

Actually this fix applies pretty obviously to c-c rules.mk too (with offset).
Comment 3 Justin Wood (:Callek) 2010-07-24 23:56:34 PDT
Comment on attachment 459551 [details] [diff] [review]
Possible patch

rs+ for c-c based on khuey's r+ for m-c.
Comment 4 neil@parkwaycc.co.uk 2010-07-25 07:49:53 PDT
Pushed changeset b6e2a919b701 to mozilla-central.

Pushed changeset a0e75bd610cf to comm-central.
Comment 5 neil@parkwaycc.co.uk 2010-07-25 07:54:38 PDT
Comment on attachment 459551 [details] [diff] [review]
Possible patch

Seeking approval for all branches where this trivial build config regression is known to have landed. (Using f? instead of a?Tb3.x because I'm too lazy.)
Comment 6 christian 2010-08-02 15:30:51 PDT
Comment on attachment 459551 [details] [diff] [review]
Possible patch

a=LegNeato for 1.9.2 and 1.9.1
Comment 7 neil@parkwaycc.co.uk 2010-08-05 06:08:30 PDT
Pushed changeset c3643db869bd to releases/mozilla-1.9.2

Pushed changeset ca834d8c9c54 to releases/mozilla-1.9.1
Comment 8 neil@parkwaycc.co.uk 2010-09-08 13:01:43 PDT
Pushed changeset 69369e04b3bf to releases/comm-1.9.2

Pushed changeset 823d07f99704 to releases/comm-1.9.1

(I actually got a=Standard8 over IRC a couple of weeks ago)
Comment 9 Mark Banner (:standard8, afk until Dec) 2010-09-09 00:43:57 PDT
(In reply to comment #8)
> Pushed changeset 69369e04b3bf to releases/comm-1.9.2

Backed this out in changeset 015dd7372a09 due to complete bustage on 1.9.2.

Note You need to log in before you can comment on or make changes to this bug.